API referenceWebhooks
GET /webhooks/{id}/deliveries
Newest deliveries of a webhook (at most 100)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringWebhook id
status?stringOnly this status
Value in
"pending""sending""delivered""failed"limit?integerMaximum items (default 100, max 100)
Range
1 <= value <= 100Default
100{deliveries}
application/json- response
deliveries?array<>curl -X GET 'https://example.com/api/v1/webhooks/string/deliveries'Example Response
{ "deliveries": [ { "id": "string", "webhookId": "string", "event": "post.published", "status": "pending", "responseCode": 0, "attempts": 0, "nextAttemptAt": "2019-08-24T14:15:22Z", "lastError": "string", "deliveredAt": "2019-08-24T14:15:22Z", "redeliveryOf": "string", "idempotencyKey": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "payload": {} } ]}